Xerces 1.1.3

## org.w3c.dom.range
Class RangeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.w3c.dom.range.RangeException

Direct Known Subclasses:
  RangeExceptionImpl

public class RangeException
extends java.lang.RuntimeException

Range operations may throw a `RangeException` as specified in their method descriptions.

See Also:
  Serialized Form

Field Summary
`static short` `BAD_BOUNDARYPOINTS_ERR`
`short` `code`
`static short` `INVALID_NODE_TYPE_ERR`

Constructor Summary
`RangeException(short code, java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public short code

### BAD_BOUNDARYPOINTS_ERR

    public static final short BAD_BOUNDARYPOINTS_ERR

### INVALID_NODE_TYPE_ERR

    public static final short INVALID_NODE_TYPE_ERR

Constructor Detail

### RangeException

    public RangeException(short code,
                          java.lang.String message)

Xerces 1.1.3